%define ver 1.4.22
%define languagelocal dansk
%define languageeng danish
%define languagecode da

Summary: 	Danish files for ispell
Summary(da): Dansk stave kontrol til ispell
Name: 		ispell-%{languagecode} 
Version: 	%{ver}
Release: 	6mdk
URL: 		http://da.speling.org/
Source:		http://da.speling.org/filer/ispell-da-%{ver}.tar.bz2
License: 	GPL
Group: 		System/Internationalization
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Provides: spell-da

Prefix: 	%{_prefix}
BuildArchitectures: noarch
Autoreqprov: no

Requires: locales-%{languagecode}
# the binary format changed with ispell 3.2.06
PreReq: ispell >= 3.2.06-2mdk
Provides: ispell-dictionary = 3.2.06

Obsoletes: ispell-dansk ispell-danish ispell-dk idanish
Provides: ispell-dansk ispell-danish ispell-dk idanish

%description
ispell-dansk is spelling data in Danish which is used by
ispell program. With this extension, you can compose a document
in Danish and check for the typos easily.

Ispell can be used directly from command line to check a file; 
or used by several text dealing programs, like LyX, etc. 

%description -l da
Ispell-da er dansk stave kontrol til ispell programmet.
Med denne stave kontrol kan du lave dokumenter i dansk og
lede efter stave fejl nemt.

Ispell kan bruges direkte fra konsollen til at kontrolere
en fil og i flere tekst programmer, som LyX, etc.

%prep
%setup -n ispell-da-%{ver}
mv -f words-da.ispell %{languagelocal}.hash

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/ispell

install -m 644 %{languagelocal}.aff $RPM_BUILD_ROOT%{_prefix}/lib/ispell/%{languagelocal}.aff
install -m 644 %{languagelocal}.hash $RPM_BUILD_ROOT%{_prefix}/lib/ispell/%{languagelocal}.hash

# LaTeX babel
if [ "%{languagelocal}" != "%{languageeng}" ];then
 cd $RPM_BUILD_ROOT%{_prefix}/lib/ispell
 ln -s %{languagelocal}.aff %{languageeng}.aff
 ln -s %{languagelocal}.hash %{languageeng}.hash
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd %{_prefix}/lib/ispell
mv -f %{languagelocal}.hash %{languagelocal}.ispell
buildhash %{languagelocal}.ispell %{languagelocal}.aff %{languagelocal}.hash &> /dev/null
rm -f %{languagelocal}.ispell.stat %{languagelocal}.ispell.cnt %{languagelocal}.ispell

%files
%defattr(644, root, root,755)
%doc COPYING Copyright README contributors
%{_prefix}/lib/ispell/*

%changelog
* Fri Mar 7 2003 Warly <warly@mandrakesoft.com> 1.4.22-6mdk
- add tag Provides spell-da

* Tue Nov 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.4.22-5mdk
- Ispell data will remain in /usr/lib/ispell for now

* Thu Sep 19 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.4.22-4mdk
- changed Requires: ispell to PreReq: ispell

* Mon Jun 03 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.4.22-3mdk
- rebuild with dependencies for new ispell

* Mon Jun 03 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.4.22-2mdk
- rebuild for new ispell

* Fri May 31 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.4.22-1mdk
- updated to new version

* Thu Nov 08 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.4.21-8mdk
- new release
- Provides: ispell-dansk ispell-danish ispell-dk idanish

* Mon Aug 06 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.4.18-8mdk
- new release

* Fri May 18 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.4.13-1mdk
- updated to 1.4.13

* Sat Aug 26 2000 Troels Liebe Bentsen <tlb@iname.com> 1.3.0-8mdk
- Small fix to the spec, no output on buildhash.

* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 1.3.0-7mdk
- Cleaned up the spec and moved to standard template.

* Mon Aug 07 2000 Troels Liebe Bentsen <tlb@iname.com> 1.3.0-6mdk
- Upgraded to new version and move the hash compilation down under %post,
- to save space and make it true noarch.
- Moved da description to po cvs file.

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.0-5mdk
- BM

* Sun Apr 09 2000 Troels Liebe Bentsen 1.3.0-4mdk
- Upgraded to new version.

* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.0-3mdk
- adapted to new Group: naming

* Wed Jan 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Provides: ispell-dictionary 

* Mon Dec 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Obsoletes: for easier installation over other rpms of same language
- changed name to ispell-es to standardize naming

* Wed Nov 03 1999 Troels Liebe Bentsen <tlb@iname.com>
- updated to 1.3.0 beta.

* Sun Oct 31 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild with ispell-3.1.20-7mdk (which uses a MASKBITS of 64)

* Fri Oct 08 1999 Troels Liebe Bentsen<tlb@iname.com>
- First version for Mandrake
